/******************************************************************************************************/
/* The 1st IPSJ SIG-ARC High-Performance Processor Design Contest                     Version 2013-09 */
/* From MieruPC 2010: Top Level Module                                            ArchLab. TOKYO TECH */
/******************************************************************************************************/
`include "../rtl/define.v"
`default_nettype none

/******************************************************************************************************/
module clockgen(CLK_IN, CLK_OUT, LOCKED);
    input  CLK_IN;
    output CLK_OUT, LOCKED;

    wire   CLK_OBUF, CLK_IBUF, CLK0, CLK0_OUT;

    BUFG   obuf (.I(CLK_OBUF), .O(CLK_OUT));
    BUFG   fbuf (.I(CLK0),     .O(CLK0_OUT));
    //IBUFG  ibuf (.I(CLK_IN),   .O(CLK_IBUF));
    assign CLK_IBUF = CLK_IN;
    
    DCM_SP dcm (.CLKIN(CLK_IBUF), .CLKFX(CLK_OBUF), .CLK0(CLK0), .CLKFB(CLK0_OUT),
                .LOCKED(LOCKED), .RST(1'b0), .DSSEN(1'b0), .PSCLK(1'b0),
                .PSEN(1'b0), .PSINCDEC(1'b0));
    defparam dcm.CLKFX_DIVIDE   = `DCM_CLKFX_DIVIDE;
    defparam dcm.CLKFX_MULTIPLY = `DCM_CLKFX_MULTIPLY;
    defparam dcm.CLKIN_PERIOD   = 10.000; // 100MHz input clock
endmodule

/******************************************************************************************************/
module clockgen2(CLK_IN, CLK_OUT, LOCKED);
    input  CLK_IN;
    output CLK_OUT, LOCKED;

    wire   CLK_OBUF, CLK_IBUF, CLK0, CLK0_OUT;

    BUFG   obuf (.I(CLK_OBUF), .O(CLK_OUT));
    BUFG   fbuf (.I(CLK0),     .O(CLK0_OUT));
    //IBUFG  ibuf (.I(CLK_IN),   .O(CLK_IBUF));
    assign CLK_IBUF = CLK_IN;
    
    DCM_SP dcm (.CLKIN(CLK_IBUF), .CLKFX(CLK_OBUF), .CLK0(CLK0), .CLKFB(CLK0_OUT),
                .LOCKED(LOCKED), .RST(1'b0), .DSSEN(1'b0), .PSCLK(1'b0),
                .PSEN(1'b0), .PSINCDEC(1'b0));
    defparam dcm.CLKFX_DIVIDE   = `DCM_DRAMC_DIVIDE;
    defparam dcm.CLKFX_MULTIPLY = `DCM_DRAMC_MULTIPLY;
    defparam dcm.CLKIN_PERIOD   = 10.000; // 100MHz input clock
endmodule

/* Reset Generator :  generate about 1000 cycle reset signal                                          */
/******************************************************************************************************/
module resetgen(CLK, RST_X_I, RST_X_O);
    input  CLK, RST_X_I;
    output RST_X_O;

    reg [11:0] cnt;
    assign RST_X_O = cnt[11];

    always @(posedge CLK or negedge RST_X_I) begin
        if      (!RST_X_I) cnt <= 0;
        else if (~RST_X_O) cnt <= cnt + 1;
    end
endmodule
/******************************************************************************************************/
